> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a list of Shipment Updates



## OpenAPI

````yaml /openapi.json get /api/v1/Shipments/Updates
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Shipments/Updates:
    get:
      tags:
        - Shipments
      summary: Gets a list of Shipment Updates
      parameters:
        - name: accountNumber
          in: query
          description: AccountNumber is the unique Customer ID in the WineDirect system.
          required: true
          schema:
            minLength: 2
            type: string
        - name: searchStartDate
          in: query
          description: "The beginning date of the search range with time\r\n            \r\n    YYYY-MM-DDTHH:mm  eg 2023-05-30T16:59   (PST)\r\n    or\r\n    YYYY-MM-DD  eg 2023-05-30   (PST)"
          required: true
          schema:
            type: string
            format: date-time
        - name: searchEndDate
          in: query
          description: "The ending date of the search range\r\n            \r\n    YYYY-MM-DDTHH:mm  eg 2023-05-30T16:59   (PST)\r\n    or\r\n    YYYY-MM-DD  eg 2023-05-30   (PST)"
          required: true
          schema:
            type: string
            format: date-time
        - name: shipmentId
          in: query
          description: The shipment container ID
          schema:
            type: string
      responses:
        '200':
          description: A list of shipment updates
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShipmentUpdateListServiceResult'
components:
  schemas:
    ShipmentUpdateListServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentUpdate'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    ShipmentUpdate:
      type: object
      properties:
        header:
          $ref: '#/components/schemas/ShipmentUpdateHeader'
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentUpdateLineItem'
          description: The Order information in this shipment
          nullable: true
        events:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentUpdateEvent'
          description: Events which have occurred in this shipment
          nullable: true
      additionalProperties: false
      description: Details about a shipment update
    ShipmentUpdateHeader:
      type: object
      properties:
        containerId:
          type: string
          description: A unique ID for the container in this shipment
          nullable: true
        orderNumber:
          type: string
          description: The customer order number for this order
          nullable: true
        shipDate:
          type: string
          description: The Date shipped
          format: date-time
          nullable: true
        carrierName:
          type: string
          description: The name of this carrier
          nullable: true
        trackingNumber:
          type: string
          description: The tracking number for this shipment
          nullable: true
        trackingNumberUrl:
          type: string
          description: The URL, if exists, for the carrier's tracking number details
          nullable: true
          readOnly: true
        statusCode:
          type: string
          description: Status (Code) for this order
          nullable: true
        statusDescription:
          type: string
          description: A description for the status code
          nullable: true
      additionalProperties: false
    ShipmentUpdateLineItem:
      type: object
      properties:
        containerId:
          type: string
          description: A unique ID for the container in this shipment
          nullable: true
        lineNumber:
          type: integer
          description: A simple line number for this item
          format: int32
        sku:
          type: string
          description: The customer
          nullable: true
        quantity:
          type: integer
          format: int32
      additionalProperties: false
    ShipmentUpdateEvent:
      type: object
      properties:
        containerId:
          type: string
          description: A unique ID for the container in this shipment
          nullable: true
        eventTime:
          type: string
          description: The time
          format: date-time
          nullable: true
        city:
          type: string
          description: CIty
          nullable: true
        stateOrProvince:
          type: string
          description: State
          nullable: true
        description:
          type: string
          description: Description
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````